LibreOffice: rtl::Bootstrap Class Reference

LibreOffice LibreOffice 5.1 SDK C/C++ API Reference

Public Member Functions | Static Public Member Functions | List of all members
rtl::Bootstrap Class Reference

`#include <bootstrap.hxx>`

## Public Member Functions
| Bootstrap ()
| default ctor. More...
| Bootstrap (const rtl::OUString &iniName)
| Opens a bootstrap argument container. More...
| ~Bootstrap ()
| Closes a bootstrap argument container. More...
bool | getFrom (const ::rtl::OUString &sName, ::rtl::OUString &outValue) const
| Retrieves a bootstrap argument. More...
void | getFrom (const ::rtl::OUString &sName, ::rtl::OUString &outValue, const ::rtl::OUString &aDefault) const
| Retrieves a bootstrap argument. More...
void | getIniName (::rtl::OUString &iniName) const
| Retrieves the name of the underlying ini-file. More...
void | expandMacrosFrom (::rtl::OUString &macro) const
| Expands a macro using bootstrap variables. More...
rtlBootstrapHandle | getHandle () const
| Provides the bootstrap internal handle. More...

## Static Public Member Functions
static void | setIniFilename (const ::rtl::OUString &sFileUri)
static bool | get (const ::rtl::OUString &sName, ::rtl::OUString &outValue)
| Retrieves a bootstrap parameter. More...
static void | get (const ::rtl::OUString &sName, ::rtl::OUString &outValue, const ::rtl::OUString &aDefault)
| Retrieves a bootstrap parameter. More...
static void | set (::rtl::OUString const &name, ::rtl::OUString const &value)
| Sets a bootstrap parameter. More...
static void | expandMacros (::rtl::OUString &macro)
| Expands a macro using default bootstrap variables. More...
static inline ::rtl::OUString | encode (::rtl::OUString const &value)
| Escapes special characters ("$" and "\"). More...

## Constructor & Destructor Documentation

## § Bootstrap() [1/2]

rtl::Bootstrap::Bootstrap | ( |  | ) |
| inline

default ctor.

## § Bootstrap() [2/2]

rtl::Bootstrap::Bootstrap | ( | const rtl::OUString & | iniName | ) |
| inline

Opens a bootstrap argument container.

See also
  rtl_bootstrap_args_open()

## § ~Bootstrap()

rtl::Bootstrap::~Bootstrap | ( |  | ) |
| inline

Closes a bootstrap argument container.

See also
  rtl_bootstrap_args_close()

## Member Function Documentation

## § encode()

rtl::OUString rtl::Bootstrap::encode | ( | ::rtl::OUString const & | value | ) |
| inlinestatic

Escapes special characters ("$" and "\").

Parameters

  value | an arbitrary value

Returns
  the given value, with all occurrences of special characters ("$" and "\") escaped

Since
  UDK 3.2.9

## § expandMacros()

static void rtl::Bootstrap::expandMacros | ( | ::rtl::OUString & | macro | ) |
| inlinestatic

Expands a macro using default bootstrap variables.

Parameters

  macro | [inout] The macro to be expanded

## § expandMacrosFrom()

void rtl::Bootstrap::expandMacrosFrom | ( | ::rtl::OUString & | macro | ) | const
| inline

Expands a macro using bootstrap variables.

Parameters

  macro | [inout] The macro to be expanded

## § get() [1/2]

bool rtl::Bootstrap::get | ( | const ::rtl::OUString & | sName,
|  | ::rtl::OUString & | outValue
| ) |  |
| inlinestatic

Retrieves a bootstrap parameter.

Parameters

  sName | name of the bootstrap value. case insensitive.
  outValue | (out parameter). On success contains the value, otherwise an empty string.

Returns
  false, if no value could be retrieved, otherwise true

See also
  rtl_bootstrap_get()

## § get() [2/2]

void rtl::Bootstrap::get | ( | const ::rtl::OUString & | sName,
|  | ::rtl::OUString & | outValue,
|  | const ::rtl::OUString & | aDefault
| ) |  |
| inlinestatic

Retrieves a bootstrap parameter.

Parameters

  sName | name of the bootstrap value. case insensitive.
  outValue | (out parameter). Contains the value associated with sName.
  aDefault | if none of the other methods retrieved a value, outValue is assigned to a Default.

See also
  rtl_bootstrap_get()

## § getFrom() [1/2]

bool rtl::Bootstrap::getFrom | ( | const ::rtl::OUString & | sName,
|  | ::rtl::OUString & | outValue
| ) |  | const
| inline

Retrieves a bootstrap argument.

It is first tried to retrieve the value via the global function and second via the special bootstrap container.

See also
  rtl_bootstrap_get_from_handle()

## § getFrom() [2/2]

void rtl::Bootstrap::getFrom | ( | const ::rtl::OUString & | sName,
|  | ::rtl::OUString & | outValue,
|  | const ::rtl::OUString & | aDefault
| ) |  | const
| inline

Retrieves a bootstrap argument.

It is first tried to retrieve the value via the global function and second via the special bootstrap container.

See also
  rtl_bootstrap_get_from_handle()

## § getHandle()

rtlBootstrapHandle rtl::Bootstrap::getHandle | ( |  | ) | const
| inline

Provides the bootstrap internal handle.

Returns
  bootstrap handle

## § getIniName()

void rtl::Bootstrap::getIniName | ( | ::rtl::OUString & | iniName | ) | const
| inline

Retrieves the name of the underlying ini-file.

See also
  rtl_bootstrap_get_iniName_from_handle()

## § set()

void rtl::Bootstrap::set | ( | ::rtl::OUString const & | name,
|  | ::rtl::OUString const & | value
| ) |  |
| inlinestatic

Sets a bootstrap parameter.

Parameters

  name | name of bootstrap parameter
  value | value of bootstrap parameter

See also
  rtl_bootstrap_set()

## § setIniFilename()

void rtl::Bootstrap::setIniFilename | ( | const ::rtl::OUString & | sFileUri | ) |
| inlinestatic

See also
  rtl_bootstrap_setIniFileName()

The documentation for this class was generated from the following file:

- rtl/bootstrap.hxx